unit Progress;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, ExtCtrls, StdCtrls, FileCtrl,
  FTP4W;
var TotalToDo, TotalDone: LongInt;
    Prog: string;

type
  TFrmProgress = class(TForm)
    Bevel1: TBevel;
    LblSLF: TLabel;
    LblC: TLabel;
    LblL: TLabel;
    LblSRF: TLabel;
    LblDA: TLabel;
    LblMD: TLabel;
    LblCF: TLabel;
    LblDF: TLabel;
    LblD: TLabel;
    LblDFProg: TLabel;
    LblCFProg: TLabel;
    Bevel2: TBevel;
    LblDProg: TLabel;
    LblCProg: TLabel;
    LblSRFProg: TLabel;
    LblLProg: TLabel;
    LblSLFProg: TLabel;
    LblDAProg: TLabel;
    LblMDProg: TLabel;
    DirList: TDirectoryListBox;
    FileList: TFileListBox;
    Button1: TButton;
    TmrProg: TTimer;
    LblRDProg: TLabel;
    LblRD: TLabel;
    LblLog: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure TmrProgTimer(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmProgress: TFrmProgress;

implementation

{$R *.DFM}

uses DoIt;

procedure TFrmProgress.Button1Click(Sender: TObject);
var a: integer;
begin
  LblD.Font.Color:=clWhite;
  LblD.Refresh;
  if LblDProg.Caption='' then
    if LblD.Font.Color<>FrmProgress.Font.Color then begin
{      CloseFTP;}
      DoCancel;
      Halt;
    end;
  Self.Hide;
end;

procedure TFrmProgress.TmrProgTimer(Sender: TObject);
var perc:integer;
begin
  if (TotalDone<>0) then
    if (FtpbytesToBeTransferred<>0) then
      if LblCF.Font.Color<>FrmProgress.Font.Color then begin
        perc:=Trunc((FtpBytesTransferred*10)/(FtpBytesToBeTransferred/10));
        if (perc<>0) and (perc<>100) then
          LblCFProg.Caption:=Prog+'   ('+IntToStr(Trunc(FtpBytesTransferred*100/FtpBytesToBeTransferred))+'%)';
{          perc:=trunc((FtpBytesTransferred+TotalDone)*100/TotalToDo);
          if perc>100 then perc:=100;
          LblCF.Caption:='Copy Files   ('+
                         IntToStr(perc)+
                         '%)';}
      end;
end;

procedure TFrmProgress.FormShow(Sender: TObject);
begin
  Caption:=Application.Title;
end;

procedure TFrmProgress.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  If  Self.Visible then DoCancel;
  CanGoByeBye:=true;
end;

end.
