unit Seldir;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, ExtCtrls, FileCtrl,
  LongFile;

type
  TFrmSelDir = class(TForm)
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    Path: TEdit;
    Drives: TDriveComboBox;
    Dirs: TDirectoryListBox;
    LFN: TCheckBox;
    ShortPath: TEdit;
    procedure DirsChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmSelDir: TFrmSelDir;

implementation

{$R *.DFM}

procedure TFrmSelDir.DirsChange(Sender: TObject);
begin
  if LFN.Checked then
    Path.Text:=GetLongSpec(Dirs.Directory)
  else Path.Text:=Dirs.Directory;
  if pos(':',Path.Text)<1 then Path.Text:=Dirs.Directory;
  ShortPath.Text:=Dirs.Directory;
end;

end.
